package com.template.services;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.template.model.pojo.SmartScreenshotRecord;
import com.template.model.pojo.SmartScreenshotRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;
import com.template.model.vo.ScreenshotRecordPageVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartScreenshotRecordService extends IService<SmartScreenshotRecord> {
    int insertSmartScreenshotRecord(SmartScreenshotRecord rns);

    int updateSmartScreenshotRecord(SmartScreenshotRecord rns);

    PageUtils<SmartScreenshotRecord> queryPageSmartScreenshotRecords(int currentPage, int pageCount, String name);

    int deleteSmartScreenshotRecordById(int id);

    SmartScreenshotRecord getSmartById(int id);

    PageUtils<ScreenshotRecordPageVo> queryScreenshotRecordPageList(int currentPage, int pageCount);

    int querySmartScreenshotRecords(int userId);
}
